Opened 8 years ago

Closed 8 years ago

Last modified 15 months ago

#5854 closed defect

Slackware linux package

Reported by: SF/blingblingbling Owned by:
Priority: normal Component: Port: Linux
Keywords: Cc:
Game:

Description

The Slackware linux scummvm packages changed from .tgz format to the new .txz, Because of this only the new Slackware linux distributions (13.0 and above) can install scummvm. All version of Slackware can install .tgz but only the new can instal .txz packages.

Ticket imported from: #3414167. Ticket imported from: bugs/5854.

Change History (6)

comment:1 by digitall, 8 years ago

This is the new LZMA2 based xz format which reduces download size: http://en.wikipedia.org/wiki/Xz

AFAIK it is possible to decompress the .txz ( .tar.xz ) package downloaded with 7-zip or the xz utils and then gzip the .tar result into a .tgz, resulting in a package which should install on all variants of Slackware, thus solving your problem.

This is a decision for the Slackware Package Maintainer as to whether we should supply both options for download or just indicate that older Slackware users can use this solution.

comment:2 by SF/rkelsen, 8 years ago

I'll revert to using tgz with the next release.

Apologies for the inconvenience.

comment:3 by SF/rkelsen, 8 years ago

P.S. Update your OS man. slackware 13.0 is almost 18 months old!

comment:4 by digitall, 8 years ago

Since a workaround is known for this, it only affects older Slackware releases where the admin has not install a backport of xz-utils and this will be rendered moot from the next release, I am going to close this.

comment:5 by digitall, 8 years ago

Status: newclosed

comment:6 by digitall, 15 months ago

Component: Port: Linux
Note: See TracTickets for help on using tickets.